### Method

# GUsb Device get_string_descriptor

since: 0.1.0

#### Declaration

    gchar*
    g_usb_device_get_string_descriptor (
      GUsbDevice* self,
      guint8 desc_index,
      GError** error
    )

#### Description

Get a string descriptor from the device. The returned string should be freed with `g_free()` when no longer needed.

Available since: 0.1.0

#### Parameters

`desc_index`

  Type: `guint8`

  The index for the string descriptor to retrieve.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly-allocated string holding the descriptor, or NULL on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.